org.apache.commons.cli

## Class MissingArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.MissingArgumentException

All Implemented Interfaces:
  Serializable

    public class MissingArgumentException
    extends ParseException

Thrown when an option requiring an argument is not provided with an argument.

Version:
  $Id: MissingArgumentException.java 1443102 2013-02-06 18:12:16Z tn $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingArgumentException(Option option)` Construct a new `MissingArgumentException` with the specified detail message.
`MissingArgumentException(String message)` Construct a new `MissingArgumentException` with the specified detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`Option` `getOption()` Return the option requiring an argument that wasn't provided on the command line.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingArgumentException

    public MissingArgumentException(String message)

Construct a new `MissingArgumentException` with the specified detail message.

Parameters:
  `message` - the detail message

#### MissingArgumentException

    public MissingArgumentException(Option option)

Construct a new `MissingArgumentException` with the specified detail message.

Parameters:
  `option` - the option requiring an argument
Since:
  1.2

### Method Detail

#### getOption

    public Option getOption()

Return the option requiring an argument that wasn't provided on the command line.

Returns:
  the related option
Since:
  1.2